searchData={"items":[{"type":"module","title":"ExLang","doc":"","ref":"ExLang.html"},{"type":"function","title":"ExLang.alignment/1","doc":"Returns the text alignment.","ref":"ExLang.html#alignment/1"},{"type":"function","title":"Examples - ExLang.alignment/1","doc":"iex> alignment(~L\"ar\")\n    :rtl\n\n    iex> alignment(~L\"he\")\n    :rtl\n\n    iex> alignment(~L\"en\")\n    :ltr\n\n    iex> alignment(~L\"de-DE\")\n    :ltr","ref":"ExLang.html#alignment/1-examples"},{"type":"function","title":"ExLang.label/1","doc":"Translates a `Locale.t()`.","ref":"ExLang.html#label/1"},{"type":"function","title":"Examples - ExLang.label/1","doc":"iex> label(~L\"de-DE\")\n    \"German (Germany)\"\n\n    iex> label(~L\"zh-CN\")\n    \"Chinese (China)\"\n\n    iex> label(~L\"deu\")\n    \"German\"\n\n    iex> label(~L\"zh\")\n    \"Chinese\"\n\n    iex> label(~L\"zh-Hans\")\n    \"Chinese (Han (Simplified variant))\"\n\n    iex> label(~L\"zh-Hant\")\n    \"Chinese (Han (Traditional variant))\"\n\n    iex> label(~L\"yue-Hant-HK\")\n    \"Yue Chinese (Han (Traditional variant) - Hong Kong)\"\n\n    iex> label(~L\"en\")\n    \"English\"\n\n    iex> label(~L\"und\")\n    \"Undetermined\"","ref":"ExLang.html#label/1-examples"},{"type":"function","title":"ExLang.parse/1","doc":"","ref":"ExLang.html#parse/1"},{"type":"function","title":"ExLang.parse!/1","doc":"Parses an BCP47 (RFC 5646) language code into a struct.","ref":"ExLang.html#parse!/1"},{"type":"function","title":"Examples - ExLang.parse!/1","doc":"iex> parse!(\"de-DE\")\n    ~L/de-DE/\n    \n    iex> parse!(\"sr-Cyrl\")\n    ~L/sr-Cyrl/\n    \n    iex> parse!(\"deu\")\n    ~L/deu/\n    \n    iex> parse!(\"ger\")\n    ~L/ger/\n    \n    iex> parse!(\"yue-Hant-HK\")\n    ~L/yue-Hant-HK/\n    \n    iex> parse!(\"en-a-value\")\n    ~L/en-a-value/\n    \n    iex> parse!(\"en-x-custom\")\n    ~L/en-x-custom/\n    \n    iex> parse!(\"sl-nedis\")\n    ~L/sl-nedis/","ref":"ExLang.html#parse!/1-examples"},{"type":"module","title":"ExLang.ISO639","doc":"Convenience functions for matching ISO639 language codes. Based\non the data found at https://datahub.io/core/language-codes#readme, retrieved\non 27/2/2025.","ref":"ExLang.ISO639.html"},{"type":"function","title":"ExLang.ISO639.alignment/1","doc":"","ref":"ExLang.ISO639.html#alignment/1"},{"type":"type","title":"ExLang.ISO639.code_type/0","doc":"","ref":"ExLang.ISO639.html#t:code_type/0"},{"type":"function","title":"ExLang.ISO639.label/1","doc":"","ref":"ExLang.ISO639.html#label/1"},{"type":"function","title":"ExLang.ISO639.lookup/1","doc":"","ref":"ExLang.ISO639.html#lookup/1"},{"type":"type","title":"ExLang.ISO639.match/0","doc":"","ref":"ExLang.ISO639.html#t:match/0"},{"type":"module","title":"ExLang.Locale","doc":"Structure of a language tag as described in RFC 5646.","ref":"ExLang.Locale.html"},{"type":"type","title":"ExLang.Locale.t/0","doc":"","ref":"ExLang.Locale.html#t:t/0"},{"type":"module","title":"ExLang.Locale.EctoType","doc":"","ref":"ExLang.Locale.EctoType.html"},{"type":"function","title":"ExLang.Locale.EctoType.cast/1","doc":"","ref":"ExLang.Locale.EctoType.html#cast/1"},{"type":"function","title":"ExLang.Locale.EctoType.dump/1","doc":"","ref":"ExLang.Locale.EctoType.html#dump/1"},{"type":"function","title":"ExLang.Locale.EctoType.embed_as/1","doc":"","ref":"ExLang.Locale.EctoType.html#embed_as/1"},{"type":"function","title":"ExLang.Locale.EctoType.equal?/2","doc":"","ref":"ExLang.Locale.EctoType.html#equal?/2"},{"type":"function","title":"ExLang.Locale.EctoType.load/1","doc":"","ref":"ExLang.Locale.EctoType.html#load/1"},{"type":"function","title":"ExLang.Locale.EctoType.type/0","doc":"","ref":"ExLang.Locale.EctoType.html#type/0"},{"type":"module","title":"ExLang.Sigil","doc":"","ref":"ExLang.Sigil.html"},{"type":"function","title":"ExLang.Sigil.sigil_L/2","doc":"","ref":"ExLang.Sigil.html#sigil_L/2"},{"type":"exception","title":"ExLang.ParseError","doc":"","ref":"ExLang.ParseError.html"},{"type":"function","title":"ExLang.ParseError.message/1","doc":"","ref":"ExLang.ParseError.html#message/1"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.2"}}